<?php
/**
 * @package     Joomla.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('JPATH_PLATFORM') or die;

/**
 * Form Field class for the Joomla Platform.
 * Supports a one line text field.
 *
 * @package     Joomla.Platform
 * @subpackage  Form
 * @link        http://www.w3.org/TR/html-markup/input.text.html#input.text
 * @since       11.1
 */
class JFormFieldBadPasswords extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 *
	 * @since  11.1
	 */
	protected $type = 'Text';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   11.1
	 */
	protected function getInput()
	{
		// Initialize some field attributes.
		$size = $this->element['size'] ? ' size="' . (int) $this->element['size'] . '"' : '';
		$maxLength = $this->element['maxlength'] ? ' maxlength="' . (int) $this->element['maxlength'] . '"' : '';
		$class = $this->element['class'] ? ' class="' . (string) $this->element['class'] . '"' : '';
		$readonly = ((string) $this->element['readonly'] == 'true') ? ' readonly="readonly"' : '';
		$disabled = ((string) $this->element['disabled'] == 'true') ? ' disabled="disabled"' : '';

		// Initialize JavaScript field attributes.
		$onchange = $this->element['onchange'] ? ' onchange="' . (string) $this->element['onchange'] . '"' : '';

		$input = '<ul style="display:block;float:left;">';
                if(strlen($this->value)) {
                    foreach(explode(', ',$this->value) as $value) $input.='<li>'.$value.'</li>';
                    $buttondisabled=false;
                } else {
                    $input.='<li style="color:#ff0000">'.JText::_('PLG_USER_LOGBADPASSWORDS_NONE_STORED').'</li>';
                    $buttondisabled=true;
                }
                $input.= '</ul>';
                if(!$buttondisabled) $input.= '<button'.$buttondisabled.' style="clear:left;" onclick="document.id(\''.$this->id.'\').value=\'\';this.disabled=true;this.set(\'html\',\''.JText::_('PLG_USER_LOGBADPASSWORDS_CLEARED').'\');return false;">'.JText::_('PLG_USER_LOGBADPASSWORDS_CLEAR').'</button>';
                $input.= '<input type="hidden" name="' . $this->name . '" id="' . $this->id . '"' . ' value="'
			. htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '"' . $class . $size . $disabled . $readonly . $onchange . $maxLength . '/>';
                return $input;
	}
}
